Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1603395 - arachne-pnr: FTBFS in Fedora rawhide
Summary: arachne-pnr: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: arachne-pnr
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS 1731545
TreeView+ depends on / blocked
 
Reported: 2018-07-19 14:42 UTC by Mohan Boddu
Modified: 2019-08-07 21:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-07 21:59:49 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-19 14:42 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-19 14:42 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-19 14:42 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 14:42:32 UTC
arachne-pnr failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28166415


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix arachne-pnr at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
arachne-pnr will be orphaned. Before branching of Fedora 30,
arachne-pnr will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 14:42:37 UTC
Created attachment 1460464 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Mohan Boddu 2018-07-19 14:42:41 UTC
Created attachment 1460465 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Mohan Boddu 2018-07-19 14:42:44 UTC
Created attachment 1460466 [details]
state.log

Comment 4 Igor Raits 2018-07-23 10:45:41 UTC
Matches:
make: g++: Command not found

Suggested fix:
BuildRequires:  gcc-c++

Comment 5 Jan Kurik 2018-08-14 09:50:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.


Note You need to log in before you can comment on or make changes to this bug.